curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/resources/v1p2/resources/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"resource": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"vendorResourceId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"roles": [
"primary"
],
"importance": "primary",
"vendorId": "<string>",
"applicationId": "<string>"
}
}To get a specific resource by sourcedId. If the corresponding record cannot be located, the api will return a 404 error code and message ‘Resource not found.’
curl --request GET \
--url https://api.alpha-1edtech.ai/ims/oneroster/resources/v1p2/resources/{sourcedId} \
--header 'Authorization: Bearer <token>'{
"resource": {
"sourcedId": "<string>",
"status": "active",
"title": "<string>",
"vendorResourceId": "<string>",
"dateLastModified": "2023-11-07T05:31:56Z",
"metadata": {},
"roles": [
"primary"
],
"importance": "primary",
"vendorId": "<string>",
"applicationId": "<string>"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.timeback.com/llms.txt
Use this file to discover all available pages before exploring further.
The access token received from the authorization server in the OAuth 2.0 flow.
The sourcedId of the resource
Comma-separated list of fields to include in the response
"sourcedId,name"
Successful response with the resource
Represents a digital resource of some kind.
Show child attributes